Package org.tmatesoft.svn.core.wc

# Class DefaultSVNCommitParameters

java.lang.Object
org.tmatesoft.svn.core.wc.DefaultSVNCommitParameters

All Implemented Interfaces:
  `ISVNCommitParameters`

public class DefaultSVNCommitParameters extends Object implements ISVNCommitParameters
DefaultSVNCommitParameters is the default commit parameters implementation.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.tmatesoft.svn.core.wc.ISVNCommitParameters

`ISVNCommitParameters.Action`

## Field Summary

### Fields inherited from interface org.tmatesoft.svn.core.wc.ISVNCommitParameters

`DELETE, ERROR, SKIP`

## Constructor Summary

Constructors
Constructor
Description
`DefaultSVNCommitParameters()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`onDirectoryDeletion(File directory)`
Returns true.
`boolean`
`onFileDeletion(File file)`
Returns true.
`ISVNCommitParameters.Action`
`onMissingDirectory(File file)`
Says a committer to abort the operation.
`ISVNCommitParameters.Action`
`onMissingFile(File file)`
Says a committer to skip a missing file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultSVNCommitParameters

public DefaultSVNCommitParameters()

## Method Details

### onMissingFile

public ISVNCommitParameters.Action onMissingFile(File file)
Says a committer to skip a missing file.

Specified by:
  `onMissingFile` in interface `ISVNCommitParameters`
Parameters:
  `file` - a missing file
Returns:
  `SKIP`

### onMissingDirectory

public ISVNCommitParameters.Action onMissingDirectory(File file)
Says a committer to abort the operation.

Specified by:
  `onMissingDirectory` in interface `ISVNCommitParameters`
Parameters:
  `file` - a missing directory
Returns:
  `ERROR`

### onDirectoryDeletion

public boolean onDirectoryDeletion(File directory)
Returns true.

Specified by:
  `onDirectoryDeletion` in interface `ISVNCommitParameters`
Parameters:
  `directory` - working copy directory
Returns:
  true

### onFileDeletion

public boolean onFileDeletion(File file)
Returns true.

Specified by:
  `onFileDeletion` in interface `ISVNCommitParameters`
Parameters:
  `file` - working copy file
Returns:
  true